Redmine - Defect #5888

{{toc}} macro doesn't get headers from {{include}}d pages
2010-07-15 20:21 - Alvaro Herrera

Status: Closed Start date: 2010-07-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version:

Description

The TOC as created by the {{toc}} macro doesn't render headers contained within {{ include }} pages. This means that you can't use
the included page as a self-contained identity, because then it wouldn't appear in the TOC in the main page it gets included in.

What | was doing was patrtition a large document into subpieces, and then include each subpiece using {{ include }}. However this
means the {{toc}} stops working properly.

Related issues:
Is duplicate of Redmine - Defect #3707: {{toc}} doesn't work with {{include}} Closed 2009-08-03

History

#1 - 2010-07-16 08:56 - Jean-Baptiste Barth
- Status changed from New to Closed

- Resolution set to Duplicate

| close this one as duplicate, see #3707.
If you want to help please avoid to copy/paste so long wiki pages, it's pretty difficult to read... Thank you for reporting

#2 - 2010-07-19 21:23 - Alvaro Herrera

| didn't copy/paste any page -- | just used the problematic macro (brace-brace-include-closebrace-closebrace). It seems the wiki formatting expanded
it into the initial page of this wiki. Sorry for the noise.

I note that | didn't find #3707 because it's not correctly categorized.

#3 - 2010-07-19 23:27 - Mischa The Evil

Fixed the issue-description and added correct issue-relation to #3707.
